Crux: BRE/WFE - Task #17856

WSC: WorkflowList()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Aniket Shinde % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb
Description
WorkflowList()
Request
{
"slice": 4,
"app": "steeringcommittee",
"class": "newmember",
"name": "initialchks",
"is_active": false,
"is_ internal": true

where all parameters are optional, and the request block may be empty.
Processing
The caller must have ruleset or root capabilities.

If the user does not have root capabilities, then
if app parameter is present then
if the named app matches the name of one of the apps for which the user has
ts, then
selectedset = the workflows of that app
else
generate "auth" error
endif
else
selectedset = the workflows of all the apps for which the user has "ruleset"
endif
else
if the app parameter is present then
selectedset = the workflows of that app
else
selectedset = the workflows of all the apps in the realm
endif
endif

The other parameters are all used as filters to pick the rulesets which match.

Response
{
"workflows": [{
"id": 734,
"slice": 66,
"app": "steeringcommittee",
"class": "members",
"name": "newmemberchk",
"is_active": false,
"is_internal": false,
"createdat": "some timestamp",
"ruleset"

rights
"createdby": "some user",

"editedat": "some timestamp",
"editedby": "some user"

boo A
"id": 2215,
"slice": 5,
"app": "steeringcommittee",
"class": "members",
"name": "goldstatus",
"is_active": true,
"is_internal": false,
"createdat": "some timestamp",
"createdby": "some user",
"editedat": "some timestamp",
"editedby": "some user"

where the response will contain an array of workflow entries, and the fields in each entry will be picked up from the ruleset table.

History

#1 - 17/02/2024 05:26 PM - Shuvam Misra

- Status changed from New to In Progress

#2 - 17/02/2024 05:26 PM - Shuvam Misra
- Target version set to Sprint 29 Feb

#3 - 19/02/2024 11:46 AM - Adarsh Shukla

- Assignee set to Aniket Shinde

#4 - 19/02/2024 12:56 PM - Aniket Shinde
- % Done changed from 0 to 80
- Status changed from In Progress to Testing

- File clipboard-202402191254-nxwsg.png added

Task Completed: 80%

Coverage: 73%

github.comiremiges-techicrux/serveriworkflowiworkflow_list.go (73.0%)

lh.Log(fmt.Sprintf("Record found: %v", map[stringlany{"workflows":

wscutils.SendSuccessResponse(c, wscutils.NewSuccessRes

Pending: realm implementation

#5 - 27/02/2024 03:00 PM - Aniket Shinde

- Status changed from Testing to Closed

#6 - 29/04/2024 04:20 PM - Tushar Bhingare
- % Done changed from 80 to 100
